Bug 801811 - [abrt] gnome-screenshot-3.3.91-1.fc17: g_logv: Process /usr/bin/gnome-screenshot was killed by signal 5 (SIGTRAP)
[abrt] gnome-screenshot-3.3.91-1.fc17: g_logv: Process /usr/bin/gnome-screens...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnome-screenshot (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:25fa68917814b6750e85f74e465...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-09 10:01 EST by Petr Schindler
Modified: 2012-04-11 23:08 EDT (History)
3 users (show)

See Also:
Fixed In Version: gnome-screenshot-3.4.0-2.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-11 23:08:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (5.82 KB, text/plain)
2012-03-09 10:01 EST, Petr Schindler
no flags Details
File: maps (27.00 KB, text/plain)
2012-03-09 10:01 EST, Petr Schindler
no flags Details
File: backtrace (23.02 KB, text/plain)
2012-03-09 10:01 EST, Petr Schindler
no flags Details
File: backtrace (23.03 KB, text/plain)
2012-03-25 08:24 EDT, F.Prates
no flags Details

  None (edit)
Description Petr Schindler 2012-03-09 10:01:14 EST
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        gnome-screenshot
crash_function: g_logv
executable:     /usr/bin/gnome-screenshot
kernel:         3.3.0-0.rc6.git0.2.fc17.x86_64
pid:            4541
pwd:            /home/tester
reason:         Process /usr/bin/gnome-screenshot was killed by signal 5 (SIGTRAP)
time:           Fri 09 Mar 2012 03:51:08 PM CET
uid:            1000
username:       tester

backtrace:      Text file, 23571 bytes
dso_list:       Text file, 5963 bytes
maps:           Text file, 27644 bytes

build_ids:
:63651cdc0224824a9c9324c77c3b5887378e871d
:ae1f34abaca7b7ae310a9743c310cfacc38ada5a
:473e64bfe079b918b2112531e141d8321733c944
:6a6f7e91aa12548505e8302f27282865ff2842d3
:2e9c83ca984afb608a9c0e27ab8dd0b0c4f89746
:e850c9c2577f79b97ad4c53dbf9b0964682dcbaa
:4d9f1e9a6e14bb126793e5796a5951874dd83038
:420ed420ea65f1a2b29d2f66f0037fa959ea0157
:2ee2cde50be866ba369f8d72e087de876bba9457
:3e9f65a1ee01419219fb006790eb394dab35d0b7
:8a58512c2cc89530f70932553442289158de3083
:7716bc5c1738194dad6ec6679d05ae3782139288
:0e1267a4d81de05f053eeed7f2f61fb46cda9e7c
:822e9b3523e8312240f41a25722d539bc77ed436
:dd21f08880cf87ac1242266eb1dd7de0c26265ce
:5700354e05ad144ddb4ea0c243bd50fc199e612d
:658cde0cb9c8a75c6f9dd19482bf4cd214194642
:2c09a3f87a92231b0acabb79968d235d61c36967
:b1ad69e330862e7b668e2321fe3096c23b54f4de
:e2f8ba3db2c86456528fe1f09829c62263d0fdee
:348363b75ba2150fca6a94fb3331dfc75a4f026b
:87712be648d2d43ea4cd002fe7a859df636f1e13
:dc97f77dc1397ce4190c83988e15fe8b6d86e30a
:5bbbe16527d496a0e0fefc6ba0c0219a71a0e4c1
:d165256ceda157a4b26d699a75915f1b91876acd
:0b5d9b92db76189b74ae7cdb82008acaed95ee14
:d23ad34ab62b74ab51eb61de167b89aac5fcdc34
:247132297f287226a24c12e683292f5c94013066
:8e283d5e8a5d6fc31e0d3d4e368a8ab855b39eea
:b1e3a6defd2119a017e2c5b43fbaf7d48d46a9cd
:852fa36b52f614e2475bc4493068c373ebf6d0da
:4f9a85443f33acbad2eb0068b0d8128b38944b9f
:39af79adb964f48ac43d2cc18e3c5372fa55ab78
:b5797b67e070ac4ccaff8d7180cf635fa0f31cbf
:766fa7124150058af0f9ce4c39148868b4dbb47f
:e3354959e32e471066df83c93f98f33e75198697
:3dd28f8a8b722d6f4d332bc688cc6b8a93f1cf16
:404cbecd24d186758ed474b345313da28b2990fa
:652697d945b4084f8ecf3bbd2eeb5d33b69aff4f
:5bc2d347a293d92e3c373d09875abb8a267a9fc4
:ce246b3297de0d233ac2c5f9e50061e2b13a330c
:a9eb9e4d2da6b047bad0601ad65f06ea8afb3603
:7c35310fc506498c612d5d982ab03becc4b4817c
:664c922731f6c4cf23487ed919d526230cd4f3c8
:39b6416457511ecdce4ad1c49277eb1a8e385ac8
:666abf228c966f37766ad17cd64ba794136e9ac9
:d804f8ee47797da9213a92f00cd095ecada8d79f
:598ac1ab8dcdb0bd5573fd4b812713b5ef138892
:4b044fe80e4c1b69986abc4b160c303048005d4e
:1fa4aa0f57b72034546fd97a1e0520e7d6502e0d
:6c08d8c9f6358200131cda5c9b563545d5c806ba
:277d74794a8d683ef066f298ec72b16b3a5ea5b2
:49a629b520349aced9d9f3886d23692b7a0aa9d2
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:4194f49481485f98de7853b6407338a4393171ac
:f0264e76a3f8ec444874b1a23d68c2ecaeba5e1c
:7a19fd8074fd835024c84b4e6725f7827f3178a3
:2a19651717ca94078d6f064b28d9f7f4985de0ae
:5bf8427ddeff24a2bd36962f68e6af6ffe14970f
:76fae8d5d0d0171cf039cff5c0eeaa58fc592df9
:3aa364e64dd370c14adc27be6df2d70960406d7e
:46fe2763c4865dc6cd3b28818e63f42f4e3b0139
:cb4d385c55c522feae9fb39650f6f365f568796c

comment:
:Description of problem:
:When I try to run gnome-screenshot it is killed. This is from terminal:
:$ gnome-screenshot 
:
:GLib-GIO-ERROR **: Settings schema 'org.gnome.gnome-screenshot' is not installed
:
:Trace/breakpoint trap (core dumped)
:
:I'm getting the same result when I use PrtScr.
:
:Version-Release number of selected component (if applicable):
:gnome-screenshot.x86_64 0:3.3.91-1.fc17
:
:How reproducible:
:100%
:
:Steps to Reproduce:
:1. run 'gnome-screenshot' in terminal
:  
:Actual results:
:it falls
:
:Expected results:
:It should take the screenshot

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=localhost.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/tmp/keyring-8VkAl9
:IMSETTINGS_MODULE=none
:USER=tester
:USERNAME=tester
:MAIL=/var/spool/mail/tester
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/tester/.local/bin:/home/tester/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/tester
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1093
:LANG=en_US.UTF-8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/tester
:SHLVL=1
:LOGNAME=tester
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-tUwxW7uPZx,guid=97cb27967d9356a252160c390000004f
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/tester
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-tester-fMvbxG/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1097,unix/unix:/tmp/.ICE-unix/1097
:DESKTOP_AUTOSTART_ID=107aeffd20519d6de6133130247059471800000010970001

var_log_messages:
:Mar  9 15:50:45 localhost yum[4467]: Installed: gnome-screenshot-3.3.91-1.fc17.x86_64
:Mar  9 15:51:08 localhost abrt[4542]: Saved core dump of pid 4541 (/usr/bin/gnome-screenshot) to /var/spool/abrt/ccpp-2012-03-09-15:51:08-4541 (2875392 bytes)

xsession_errors:
:media-keys-plugin-WARNING **: Couldn't execute command: gnome-screenshot: Failed to execute child process "gnome-screenshot" (No such file or directory)
:media-keys-plugin-WARNING **: Couldn't execute command: gnome-screenshot: Failed to execute child process "gnome-screenshot" (No such file or directory)
:media-keys-plugin-WARNING **: Couldn't execute command: gnome-screenshot: Failed to execute child process "gnome-screenshot" (No such file or directory)
:media-keys-plugin-WARNING **: Couldn't execute command: gnome-screenshot: Failed to execute child process "gnome-screenshot" (No such file or directory)
:media-keys-plugin-WARNING **: Couldn't execute command: gnome-screenshot: Failed to execute child process "gnome-screenshot" (No such file or directory)
:media-keys-plugin-WARNING **: Couldn't execute command: gnome-screenshot: Failed to execute child process "gnome-screenshot" (No such file or directory)
:media-keys-plugin-WARNING **: Couldn't execute command: gnome-screenshot: Failed to execute child process "gnome-screenshot" (No such file or directory)
:media-keys-plugin-WARNING **: Couldn't execute command: gnome-screenshot: Failed to execute child process "gnome-screenshot" (No such file or directory)
:media-keys-plugin-WARNING **: Couldn't execute command: gnome-screenshot: Failed to execute child process "gnome-screenshot" (No such file or directory)
:media-keys-plugin-WARNING **: Couldn't execute command: gnome-screenshot: Failed to execute child process "gnome-screenshot" (No such file or directory)
:media-keys-plugin-WARNING **: Couldn't execute command: gnome-screenshot: Failed to execute child process "gnome-screenshot" (No such file or directory)
:media-keys-plugin-WARNING **: Couldn't execute command: gnome-screenshot: Failed to execute child process "gnome-screenshot" (No such file or directory)
:media-keys-plugin-WARNING **: Couldn't execute command: gnome-screenshot: Failed to execute child process "gnome-screenshot" (No such file or directory)
:media-keys-plugin-WARNING **: Couldn't execute command: gnome-screenshot: Failed to execute child process "gnome-screenshot" (No such file or directory)
:media-keys-plugin-WARNING **: Couldn't execute command: gnome-screenshot --clipboard: Failed to execute child process "gnome-screenshot" (No such file or directory)
:media-keys-plugin-WARNING **: Couldn't execute command: gnome-screenshot --window: Failed to execute child process "gnome-screenshot" (No such file or directory)
:media-keys-plugin-WARNING **: Couldn't execute command: gnome-screenshot --clipboard: Failed to execute child process "gnome-screenshot" (No such file or directory)
:GLib-GIO-ERROR **: Settings schema 'org.gnome.gnome-screenshot' is not installed
:GLib-GIO-ERROR **: Settings schema 'org.gnome.gnome-screenshot' is not installed
:abrt-applet: repeated problem in gnome-screenshot-3.3.91-1.fc17, not showing the notification
Comment 1 Petr Schindler 2012-03-09 10:01:18 EST
Created attachment 568925 [details]
File: dso_list
Comment 2 Petr Schindler 2012-03-09 10:01:21 EST
Created attachment 568926 [details]
File: maps
Comment 3 Petr Schindler 2012-03-09 10:01:23 EST
Created attachment 568927 [details]
File: backtrace
Comment 4 F.Prates 2012-03-25 08:24:42 EDT
1. Install gnome-screenshot (I don't know why gnome-screenshot wasn't installed by default);
2. press 'prnt scrn' key.

always reproducible;
rawhide, upgraded through preupgrade;
share same /home with a fedora 16 installation.


backtrace_rating: 4
Package: gnome-screenshot-3.3.91-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 5 F.Prates 2012-03-25 08:24:48 EDT
Created attachment 572524 [details]
File: backtrace
Comment 6 Fedora Update System 2012-04-02 19:58:56 EDT
gnome-screenshot-3.4.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gnome-screenshot-3.4.0-2.fc17
Comment 7 Fedora Update System 2012-04-04 17:09:53 EDT
Package gnome-screenshot-3.4.0-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnome-screenshot-3.4.0-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-5294/gnome-screenshot-3.4.0-2.fc17
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2012-04-11 23:08:52 EDT
gnome-screenshot-3.4.0-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.